# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Module/Pluggable.pm) perl(Sys/Hostname.pm) perl(Term/Shell.pm) perl(Test/More.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.04
%define module_name Term-Shell-Pluggable
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Pluggable command-line framework
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/P/PI/PIN/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
There is Term::Shell module in the first place. This is hybrid of that
one with Module::Pluggable. So you could add command line hooks to your
big and scary multi-module perl application.

  #!/usr/bin/env perl
  package Example;
  
  use warnings;
  use strict;
  
  use Getopt::Long qw(GetOptionsFromArray);
  
  sub smry_bubble { 'bubblesort numbers' }
  sub run_bubble {
      my $class = shift;
      Getopt::Long::GetOptionsFromArray(\@_,
          'verbose' => \my $verbose,
      ) and @_ or die "wrong options or numbers are missing\n" . $class->help_bubble;
      my @numbers = @_;
      ...
  }
  sub help_bubble { <<HELP
  usage: bubble [-v] <number1> <number2> ...
  HELP
  }
  
  package main;
  
  use Term::Shell::Pluggable;
  Term::Shell::Pluggable->run(packages => [
      'Example',
      'Some::Other::Example' # another package i.e. defined in separate .pm file 
  ]);
  

%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/T*

%changelog
* Fri Mar 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

